-- 魔法消耗降低百分比，每层1%，最高99%

modifier_manacost_reduce_percent = class({})

local public = modifier_manacost_reduce_percent

local m_modifier_funcs=
{
	MODIFIER_PROPERTY_MANACOST_PERCENTAGE,
}

function public:IsHidden()
	return true
end

function public:IsDebuff()
	return false
end

function public:IsPurgable()
	return false
end

function public:DeclareFunctions()
	return m_modifier_funcs
end

function public:GetModifierPercentageManacost()
	return math.min(99, self:GetStackCount())
end
